xcb_input_change_device_notify_event_t(3)

NAME
xcb_input_change_device_notify_event_t -

SYNOPSIS
#include <xcb/xinput.h>

  Event datastructure

typedef struct xcb_input_change_device_notify_event_t {
    uint8_t         response_type;
    uint8_t         device_id;
    uint16_t        sequence;
    xcb_timestamp_t time;
    uint8_t         request;
    uint8_t         pad0[23];
} xcb_input_change_device_notify_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_INPUT_CHANGE_DEVICE_NOTIFY. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

device_id
    NOT YET DOCUMENTED.

time
    NOT YET DOCUMENTED.

request
    NOT YET DOCUMENTED.

DESCRIPTION

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.